speech
Device proxies

The speech proxy provides an interface to a speech synthesis system. More...

## Classes

struct | playerc_speech_t
| Speech proxy data. More...

## Functions

PLAYERC_EXPORT playerc_speech_t * | playerc_speech_create (playerc_client_t *client, int index)
| Create a speech proxy. More...
PLAYERC_EXPORT void | playerc_speech_destroy (playerc_speech_t *device)
| Destroy a speech proxy. More...
PLAYERC_EXPORT int | playerc_speech_subscribe (playerc_speech_t *device, int access)
| Subscribe to the speech device. More...
PLAYERC_EXPORT int | playerc_speech_unsubscribe (playerc_speech_t *device)
| Un-subscribe from the speech device. More...
PLAYERC_EXPORT int | playerc_speech_say (playerc_speech_t *device, char *)
| Set the output for the speech device. More...

## Detailed Description

The speech proxy provides an interface to a speech synthesis system.

## Function Documentation

PLAYERC_EXPORT playerc_speech_t* playerc_speech_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a speech proxy.

PLAYERC_EXPORT void playerc_speech_destroy | ( | playerc_speech_t * | device | ) |

Destroy a speech proxy.

PLAYERC_EXPORT int playerc_speech_say | ( | playerc_speech_t * | device,
|  | char * |
| ) |  |

Set the output for the speech device.

PLAYERC_EXPORT int playerc_speech_subscribe | ( | playerc_speech_t * | device,
|  | int | access
| ) |  |

Subscribe to the speech device.

PLAYERC_EXPORT int playerc_speech_unsubscribe | ( | playerc_speech_t * | device | ) |

Un-subscribe from the speech device.

Last updated 12 September 2005 21:38:45